Name:		GtkAda
Version:	2.10.2
Release:	1%{?dist}
Summary:	Ada graphical toolkit based on Gtk+
Group:		System Environment/Libraries
License:	GPLv2+
URL:		https://libre.adacore.com/GtkAda/
# Source is available, but requires registration
Source:         GtkAda-gpl-2.10.2.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-gnat
BuildRequires:  libgnat
BuildRequires:  perl
BuildRequires:	gtk2-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  bonobo-activation-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  libglade2-devel
BuildRequires:  libGL-devel
BuildRequires:  GConf2-devel
BuildRequires:  texinfo-tex
BuildRequires:	texinfo
BuildRequires:	tetex
BuildRequires:  tetex-dvips
ExcludeArch:    ppc64

%description
GtkAda is an Ada graphical toolkit based on Gtk+. It allows you to
develop graphical applications in Ada using Gtk+.


%package devel
Summary:	Development files for GtkAda
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:       perl
Requires:       gtk2-devel
Requires:       pkgconfig

%description devel
Development files for GtkAda.


%package doc
Summary:	Documentation for GtkAda
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}

%description doc
Documentation for GtkAda.


%prep
%setup -q -n %{name}-gpl-%{version}
sed -i "s|\$.prefix./lib|\$(libdir)|" projects/Makefile
sed -i "s|\$prefix/lib|%{_libdir}|" projects/generate_prj.sh
sed -i "s|@prefix@/lib|@prefix@/%{_lib}|" projects/gtkada.pc.in
find -name .cvsignore | xargs rm -fr

%build
# adapt opt flags to gnatmake
GNAT_RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's|--param=ssp-buffer-size=4||'`
sed -i "s|GNATFLAGS =|GNATFLAGS = $GNAT_RPM_OPT_FLAGS |" src/Makefile.common*
%configure
sed -i 's|--param=ssp-buffer-size=4||' testgtk/Makefile
make incdir=%{_includedir}/gtkada alidir=%{_libdir}/gtkada
make -C docs


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall incdir=$RPM_BUILD_ROOT%{_includedir}/gtkada alidir=$RPM_BUILD_ROOT%{_libdir}/gtkada
(make -C docs install prefix=$PWD/doc-install)

# move shared libraries to standard place
rm -rf $RPM_BUILD_ROOT%{_libdir}/lib*
mv $RPM_BUILD_ROOT%{_libdir}/gtkada/relocatable/lib* $RPM_BUILD_ROOT%{_libdir}

# make libraries executables, otherwise dependencies are not found
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/lib*.so.*

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
(cd docs; install -m 0644 dgate.1 gate.1 gtkada-config.1 $RPM_BUILD_ROOT%{_mandir}/man1)

# this conflicts with gdialog from gnome-utils
rm -f $RPM_BUILD_ROOT%{_bindir}/gdialog

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/examples


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING README


%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/gtkada
%{_libdir}/gtkada
%{_libdir}/gnat
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gps
%{_mandir}/man*/*
%doc known-problems


%files doc
%defattr(-,root,root,-)
%doc examples
%doc doc-install/share/doc/gtkada/*


%changelog
* Sat Dec 13 2008 Gerard Milmeister <gemi@bluewin.ch> - 2.10.2-1
- new release 2.10.2

* Wed Jan 30 2008 Michel Salim <michel.sylvan@gmail.com> - 2.10.0-4
- Add missing BRs on gtk2-devel and pkgconfig

* Tue Jan 29 2008 Michel Salim <michel.sylvan@gmail.com> - 2.10.0-3
- Make gtkada.pc use _libdir
- Fix URL and source fields

* Sat Jan  5 2008 Gerard Milmeister <gemi@bluewin.ch> - 2.10.0-2
- exclude arch ppc64

* Sat Jan  5 2008 Gerard Milmeister <gemi@bluewin.ch> - 2.10.0-1
- new release 2.10.0
- documentation in separate package

* Fri Jan  5 2007 Gerard Milmeister <gemi@bluewin.ch> - 2.8.0-7
- reenabled ppc

* Sat Oct 21 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.8.0-5
- new version 2.8.0

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-13
- Rebuild for FE6

* Mon Mar 27 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-12
- BuildReq texinfo -> texinfo-tex

* Fri Feb 17 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0
- Rebuild for Fedora Extras 5

* Thu Feb  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-10
- remove "--param=ssp-buffer-size=4" from gnatmake command line

* Wed Feb  1 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-9
- patch to handle all cases

* Thu May 12 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-6
- Add excludearch ppc ppc64 (no gcc-gnat currently for those) #157550

* Tue May 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.4.0-5
- Remove excludearch x86_64 (gcc-gnat now in FC4 for x86_64)
- BR textinfo, tetex-dvips

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.0-4
- rebuilt

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-3
- Excluded arch x86_64

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-2
- Removed touching /usr/include/gtkada/*

* Sat Jan 22 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-0.fdr.1
- New Version 2.4.0

* Sat May 29 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.2
- Replaced XFree86 reference with xorg

* Fri Nov 21 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.1-0.fdr.1
- New Version 2.2.1

* Mon Nov 10 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.5
- Work around to compiler bug

* Tue Oct 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.3
- Better placing of documentation files

* Mon Oct 27 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.2
- Improved specfile

* Sun Oct 26 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.1
- First Fedora release
